#####练习成绩相关


###获得全部练习成绩记录
GET_ALL_PRACTICE_SCORE = SELECT * FROM tb_OnLineExam_PracticeScore

###获得指定用户ID的所有练习成绩记录
GET_PRACTICE_SCORE_BY_USER_ID = SELECT * FROM tb_OnLineExam_PracticeScore WHERE UserID = ?

###获得指定科目ID的所有练习成绩记录
GET_PRACTICE_SCORE_BY_COURSE_ID = SELECT * FROM tb_OnLineExam_PracticeScore WHERE CourseID = ?

###获得指定用户ID和科目ID的所有练习成绩记录
GET_PRACTICE_SCORE_BY_USER_ID_AND_COURSE_ID = SELECT * FROM tb_OnLineExam_PracticeScore WHERE UserID = ? AND CourseID = ? ORDER BY DateTime

###将练习成绩写入数据库
SAVE_PRACTICE_SCORE = INSERT INTO tb_OnLineExam_PracticeScore (UserID, CourseID, PracticeScore, DateTime) VALUES (?, ?, ?, ?)

###更新练习成绩
UPDATE_PRACTICE_SCORE = UPDATE tb_OnLineExam_PracticeScore SET PracticeScore = ? WHERE ID = ?

###删除指定ID的练习成绩记录
DELETE_PRACTICE_SCORE_BY_ID = DELETE FROM tb_OnLineExam_PracticeScore WHERE ID = ?

###删除指定用户ID的所有练习成绩记录
DELETE_PRACTICE_SCORE_BY_USER_ID = DELETE FROM tb_OnLineExam_PracticeScore WHERE UserID = ?

###删除指定科目ID的所有练习成绩记录
DELETE_PRACTICE_SCORE_BY_COURSE_ID = DELETE FROM tb_OnLineExam_PracticeScore WHERE CourseID = ?